function localStiffnessMatrices = getLocalStiffnessMatrices(b1, b12, b2, d)

nElements = length(b1) ;
localStiffnessMatrices = NaN(3, 3, nElements) ;
Slocal_11 = 0.5*[1,-1,0;-1,1,0;0,0,0] ;
Slocal_12 = 0.5*[2,-1,-1;-1,0,1;-1,1,0] ;
Slocal_22 = 0.5*[1,0,-1;0,0,0;-1,0,1] ;

for i=1:3
    for j=1:3
        localStiffnessMatrices(i,j,:) = (b1*Slocal_11(i,j)+b12*Slocal_12(i,j)+b2*Slocal_22(i,j))./d ;
    end
end