function [innerNodeIndices, keptIndices] = mapFromAllNodesToInnerNodes(nodeIndices, isNodeOnBoundary)
    cumulativeIsNodeOnBoundary = cumsum(~isNodeOnBoundary) ;
    innerNodeIndices = cumulativeIsNodeOnBoundary(nodeIndices) ;
    keptIndices = find(~isNodeOnBoundary(nodeIndices)) ;
    innerNodeIndices = innerNodeIndices(~isNodeOnBoundary(nodeIndices)) ;
end