function globalRightHandSide = getGlobalRightHandSide(localRightHandSides, nodesForAllTriangles, isNodeOnBoundary, n)

globalRightHandSide = zeros(n^2, 1) ;

for j=1:3
    currentJ = nodesForAllTriangles(:,j) ;
    [indices, keptIndices] = mapFromAllNodesToInnerNodes(currentJ, isNodeOnBoundary) ;
    globalRightHandSide = globalRightHandSide+sparse(indices,ones(length(indices),1),localRightHandSides(keptIndices),n^2,1) ;
end
