function [innerNodeIndicesI, innerNodeIndicesJ, keptIndices] = mapFromAllNodePairsToInnerNodePairs(nodeIndicesI, nodeIndicesJ, isNodeOnBoundary)
    cumulativeIsNodeOnBoundary = cumsum(~isNodeOnBoundary) ;
    innerNodeIndicesI = cumulativeIsNodeOnBoundary(nodeIndicesI);
    innerNodeIndicesJ = cumulativeIsNodeOnBoundary(nodeIndicesJ);
    keptIndices = find(and(~isNodeOnBoundary(nodeIndicesI),~isNodeOnBoundary(nodeIndicesJ))); 
    innerNodeIndicesI = innerNodeIndicesI(and(~isNodeOnBoundary(nodeIndicesI),~isNodeOnBoundary(nodeIndicesJ))); 
    innerNodeIndicesJ = innerNodeIndicesJ(and(~isNodeOnBoundary(nodeIndicesI),~isNodeOnBoundary(nodeIndicesJ)));
end